"use client";
import useFetch from "@/hooks/useFetch";
import { useTranslations } from "next-intl";
import { useState } from "react";
export default function GoogleLogin() {
    const t = useTranslations("loginForm");

    const { fetchData: fetchGoogleLogin, loading: loading } = useFetch({
        url: "/oauth2callback/google/login",
        method: "POST",
    });
    const googleLogin = () => {
        fetchGoogleLogin();
    };

    return (
        <button
            onClick={() => googleLogin()}
            className="relative justify-center whitespace-nowrap z-0 text-sm font-medium ring-offset-background transition-all focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-blue-500 focus-visible:ring-offset-2 disabled:pointer-events-none disabled:opacity-50 px-4 py-2 rounded-md bg-gray-800 text-gray-300 hover:text-white border-gray-600 border hover:bg-gray-700 w-full flex items-center gap-3 btn-pop"
        >
            {/* <Image
        src="https://www.typeframes.com/images/google.webp"
        className="w-4"
        alt="google login icon"
    /> */}
            {loading ? (
                <span className="loading loading-spinner loading-md"></span>
            ) : (
                <span>{t("continueWithGoogle")}</span>
            )}
        </button>
    );
}
